#!/bin/sh

name="mp3blaster"
title="mp3blaster"
package="mp3blaster"
version="3.1.3"
build="1"
noarch="n"
build_info="Standard build."

info="Console player of audio files."
desc="Mp3blaster is an interactive text-based program that plays
several audio file types (MP3, Ogg Vorbis, wav, and sid). It
is one of the few audio players for the text console that
allows full interactive control during playback. One of its
key features is the ability to compose a very flexible
playlist (while playing!). It plays most MP3 formats and has
full mixer support built in."
category="audio/player"
environment="console/curses"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,COPYING,CREDITS,ChangeLog,FAQ,README,TODO,doc/{commands.txt,sample.mp3blasterrc}"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.stack.nl/~brama/mp3blaster/src/$name-$version.tar.gz

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

rm -rf $pkg_main/usr/share
cp $src1/mpegsound/AUTHORS $pkg_main/usr/doc/$name-$version/AUTHORS.mpegsound
for i in AUTHORS ChangeLog README ; do
    cp $src1/nmixer/$i $pkg_main/usr/doc/$name-$version/$i.nmixer
done

make_package main

clean_up

# $Log: mp3blaster.builder,v $
# Revision 1.3  2002/12/25 23:48:08  swiergot
# - Build 1.
#
# Revision 1.2  2002/12/25 23:33:22  swiergot
# - Touched to force building.
#
# Revision 1.1  2002/12/25 23:18:37  swiergot
# - Initial release.
# - Version 3.1.3.
#
